Loading...
Searching...
No Matches
opengv::EigensolverOutput Struct Reference

`#include <types.hpp>`

## Public Attributes

EIGEN_MAKE_ALIGNED_OPERATOR_NEW translation_t | translation
rotation_t | rotation
eigenvalues_t | eigenvalues
eigenvectors_t | eigenvectors

## Detailed Description

EigensolverOutput holds the output-parameters of the eigensolver-algorithm (described in [11])

## Member Data Documentation

## eigenvalues

eigenvalues_t opengv::EigensolverOutput::eigenvalues

The eigenvalues of matrix

## eigenvectors

eigenvectors_t opengv::EigensolverOutput::eigenvectors

The eigenvectors of matrix matrix

## rotation

rotation_t opengv::EigensolverOutput::rotation

Rotation from viewpoint 2 back to viewpoint 1

## translation

EIGEN_MAKE_ALIGNED_OPERATOR_NEW translation_t opengv::EigensolverOutput::translation

Position of viewpoint 2 seen from viewpoint 1 (unscaled)

The documentation for this struct was generated from the following file:

- include/opengv/types.hpp